﻿/**
 * editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function() {
	tinymce.create('tinymce.plugins.wg5headPlugin', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mcewg5head', function() {
				ed.windowManager.open({
					file : url + '/wg5head.php?rand='+Math.random()*1000+Math.random()*1000,
					width : 800 + parseInt(ed.getLang('wg5head.delta_width', 0)),
					height : 630 + parseInt(ed.getLang('wg5head.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('wg5head', {title : 'wg5head.desc', cmd : 'mcewg5head'});
		},

		getInfo : function() {
			return {
				longname : 'wg5 head editor',
				author : 'Tóth Gábor 2012',
				authorurl : 'http://www.webgalamb.hu',
				infourl : 'http://www.webgalamb.hu',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('wg5head', tinymce.plugins.wg5headPlugin);
})();