﻿/**
 * editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function() {
	tinymce.create('tinymce.plugins.wg5linksPlugin', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mcewg5link', function() {
				ed.windowManager.open({
					file : url + '/wg5links.php?rand='+Math.random()*1000+Math.random()*1000,
					width : 800 + parseInt(ed.getLang('wg5links.delta_width', 0)),
					height : 600 + parseInt(ed.getLang('wg5links.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('wg5links', {title : 'wg5links.desc', cmd : 'mcewg5link'});
		},

		getInfo : function() {
			return {
				longname : 'wg5 links',
				author : 'Tóth Gábor 2014',
				authorurl : 'http://www.webgalamb.hu',
				infourl : 'http://www.webgalamb.hu',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('wg5links', tinymce.plugins.wg5linksPlugin);
})();