﻿/**
 * editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function() {
	tinymce.create('tinymce.plugins.wg5socialPlugin', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mcewg5social', function() {
				ed.windowManager.open({
					file : url + '/wg5social.php?rand='+Math.random()*1000+Math.random()*1000,
					width : 500 + parseInt(ed.getLang('wg5social.delta_width', 0)),
					height : 300 + parseInt(ed.getLang('wg5social.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('wg5social', {title : 'wg5social.desc', cmd : 'mcewg5social'});
		},

		getInfo : function() {
			return {
				longname : 'Webgalamb social media icon plugin',
				author : 'Webgalamb',
				authorurl : 'http://www.webgalamb.hu',
				infourl : 'http://www.webgalamb.hu',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('wg5social', tinymce.plugins.wg5socialPlugin);
})();