﻿/**
 * editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function() {
	tinymce.create('tinymce.plugins.wg5videoPlugin', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mcewg5video', function() {
				ed.windowManager.open({
					file : url + '/wg5video.php?rand='+Math.random()*1000+Math.random()*1000,
					width : 500 + parseInt(ed.getLang('wg5video.delta_width', 0)),
					height : 500 + parseInt(ed.getLang('wg5video.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('wg5video', {title : 'wg5video.desc', cmd : 'mcewg5video'});
		},

		getInfo : function() {
			return {
				longname : 'wg5 video plugin',
				author : 'Tóth Gábor 2014',
				authorurl : 'http://www.webgalamb.hu',
				infourl : 'http://www.webgalamb.hu',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('wg5video', tinymce.plugins.wg5videoPlugin);
})();